Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PICurrent_ORBInitializer Class Reference

ORBInitializer for the PICurrent support. More...

`#include <PICurrent_ORBInitializer.h>`

Inheritance diagram for TAO_PICurrent_ORBInitializer:

[legend]
Collaboration diagram for TAO_PICurrent_ORBInitializer:

[legend]
List of all members.

## Public Methods
PortableInterceptor::ORBInitializer Methods
Methods required by the PortableInterceptor::ORBInitializer interface.
virtual void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)

## Detailed Description

ORBInitializer for the PICurrent support.

This class simply registers the PICurrent object with the ORB resolve_initial_references() mechanism.

## Member Function Documentation

void TAO_PICurrent_ORBInitializer::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements PortableInterceptor::ORBInitializer.

void TAO_PICurrent_ORBInitializer::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements PortableInterceptor::ORBInitializer.

The documentation for this class was generated from the following files:

- PICurrent_ORBInitializer.h
- PICurrent_ORBInitializer.cpp